Bug 239217

Summary: comms/xastir Update to 2.1.4
Product: Ports & Packages Reporter: carl
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: needs-qa
Priority: --- Flags: koobs: merge-quarterly?
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn diff update from 2.1.0 to 2.1.4
none
Update to enable ImageMagick AND GraphicsMagick, but keep gm the default as it was before.
none
ImageMagick and GraphicsMagick support none

Description carl 2019-07-15 10:25:09 UTC
Created attachment 205792 [details]
svn diff update from 2.1.0 to 2.1.4

This updates the comms/xastir port to the latest release, 2.1.4.  This includes the fix for the GraphicsMagick missing header issue.  It also changes the compile to clang if GraphicsMagick is deselected (gcc otherwise).

Note, 2.1.2 was skipped due to the GraphicsMagick issue.
Comment 1 carl 2019-07-16 01:38:14 UTC
I had mistakenly set GraphicsMagick as the default thinking ImageMagick was no longer supported.  This is not actually the case.  I will resubmit this update to include ImageMagick support.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-07-16 10:01:15 UTC
(In reply to carl from comment #1)

Thank you Carl. When ready, please re-open this issue and update summary (if necessary) instead of opening a new issue.
Comment 3 commit-hook freebsd_committer 2019-07-16 17:40:49 UTC
A commit references this bug:

Author: swills
Date: Tue Jul 16 17:40:25 UTC 2019
New revision: 506773
URL: https://svnweb.freebsd.org/changeset/ports/506773

Log:
  comms/xastir: update to 2.1.4

  PR:		239217
  Submitted by:	carl@stagecraft.cx (maintainer)

Changes:
  head/comms/xastir/Makefile
  head/comms/xastir/distinfo
  head/comms/xastir/pkg-plist
Comment 4 Steve Wills freebsd_committer 2019-07-16 17:42:02 UTC
Committed, thanks!
Comment 5 carl 2019-07-18 10:53:45 UTC
Created attachment 205860 [details]
Update to enable ImageMagick AND GraphicsMagick, but keep gm the default as it was before.

This is the latest update that obsoletes the previous 2.1.4 update.  It cleans up the Makefile, adds GraphicsMagick back in and makes both ImageMagick and GraphicsMagick options.  It also makes GraphicsMagick the default, which was the behaviour prior to 2.1.4.
Comment 6 carl 2019-07-18 11:31:37 UTC
Created attachment 205862 [details]
ImageMagick and GraphicsMagick support

This is the RIGHT patch.  This patches against 2.1.4 which was committed yesterday.

This puts both ImageMagick and GraphicsMagick support back in and makes GraphicsMagick the default, as it was in 2.1.0 and before.
Comment 7 carl 2019-07-18 11:34:57 UTC
Sorry about this Steve, attached is the final patch, which is now against 2.1.4 which you committed yesterday.

This adds back in the ImageMagick/GraphicsMagick choice and makes GraphicsMagick the default, as it was in 2.1.0 and prior.
Comment 8 commit-hook freebsd_committer 2019-07-19 14:31:14 UTC
A commit references this bug:

Author: swills
Date: Fri Jul 19 14:30:24 UTC 2019
New revision: 506937
URL: https://svnweb.freebsd.org/changeset/ports/506937

Log:
  comms/xastir: put back ImageMagick/GraphicsMagick choice

  While here, improve formatting

  PR:		239217
  Submitted by:	carl@stagecraft.cx (maintainer)

Changes:
  head/comms/xastir/Makefile
  head/comms/xastir/files/pkg-message.in
Comment 9 Steve Wills freebsd_committer 2019-07-19 14:31:46 UTC
Committed, thanks!
Comment 10 carl 2019-07-20 02:37:39 UTC
Thanks Steve, Appreciated.